com.opensymphony.xwork2.validator.annotations

## Annotation Type LongRangeFieldValidator

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface LongRangeFieldValidator

  This validator checks that a numeric field has a value within a specified range. If neither min nor max is set, nothing will be done.

  Annotation usage:

  The annotation must be applied at method level.

  Annotation parameters:

  Parameter | Required | Default | Notes
  --- | --- | --- | ---
  message | yes |  | field error message
  key | no |  | i18n key from language specific properties file.
  messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
  fieldName | no |  |
  shortCircuit | no | false | If this validator should be used as shortCircuit.
  type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
  min | no |  | Integer property. The minimum the number must be.
  minExpression | no |  | OGNL expression used to obtain the minimum the number must be.
  max | no |  | Integer property. The maximum number can be. Can be an expression.!
  maxExpression | no |  | OGNL expression used to obtain the maximum number can be.
  parse | no | false | Enable parsing of min/max value.

  If neither min nor max is set, nothing will be done.

  The values for min and max must be inserted as String values so that "0" can be handled as a possible value.

  Example code:

       @LongRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "0", max = "42")

       @LongRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, minExpression = "${minValue}", maxExpression = "${maxValue}")

  Author:
    Rainer Hermanns

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `fieldName`
    `String` | `key`
    `String` | `max` Long property.
    `String` | `maxExpression`
    `String` | `message`
    `String[]` | `messageParams`
    `String` | `min` Long property.
    `String` | `minExpression`
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
    `ValidatorType` | `type`

- - ### Element Detail

    - #### min

          public abstract String min

      Long property.
      Returns:
        The minimum the number must be.
      Default:
        ""

  - - #### minExpression

          public abstract String minExpression

      Returns:
        The minimum number can be defined as an expression
      Default:
        ""

  - - #### max

          public abstract String max

      Long property.
      Returns:
        The maximum number can be.
      Default:
        ""

  - - #### maxExpression

          public abstract String maxExpression

      Returns:
        The maximum number can be defined as an expression
      Default:
        ""

  - - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

  - - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

  - - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

  - - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

  - - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit='true' attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

  - - #### type

          public abstract ValidatorType type

      Returns:
        The validation type for this field/method.
      Default:
        com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.